django_airavata/apps/admin/urls.py
from django.urls import path, re_path

from . import views

app_name = 'django_airavata_admin'
urlpatterns = [
    re_path(r'^$', views.home, name='home'),
    re_path(r'^applications/', views.app_catalog, name='app_catalog'),
    re_path(r'^credentials/', views.credential_store, name='credential_store'),
    re_path(r'^experiment-statistics/', views.experiment_statistics,
            name="experiment-statistics"),
    re_path(r'^group-resource-profiles/', views.group_resource_profile,
            name='group_resource_profile'),
    re_path(r'^gateway-resource-profile/', views.gateway_resource_profile,
            name='gateway_resource_profile'),
    re_path(r'^notices/', views.notices, name='notices'),
    re_path(r'^users/', views.users, name='users'),
    path('extended-user-profile/', views.extended_user_profile, name="extended_user_profile"),
    path('developers/', views.developers, name='developers'),
]

django_airavata/apps/api/urls.py
import logging

from django.urls import re_path
from rest_framework import routers
from rest_framework.urlpatterns import format_suffix_patterns

from . import views

logger = logging.getLogger(__name__)

router = routers.DefaultRouter()
router.register(r'projects', views.ProjectViewSet, basename='project')
router.register(r'experiments', views.ExperimentViewSet,
                basename='experiment')
router.register(r'full-experiments', views.FullExperimentViewSet,
                basename='full-experiment')
router.register(r'experiment-search', views.ExperimentSearchViewSet,
                basename='experiment-search')
router.register(r'groups', views.GroupViewSet, basename='group')
router.register(r'application-interfaces', views.ApplicationInterfaceViewSet,
                basename='application-interface')
router.register(r'applications', views.ApplicationModuleViewSet,
                basename='application')
router.register(r'application-deployments', views.ApplicationDeploymentViewSet,
                basename='application-deployment')
router.register(r'user-profiles', views.UserProfileViewSet,
                basename='user-profile')
router.register(r'group-resource-profiles', views.GroupResourceProfileViewSet,
                basename='group-resource-profile')
router.register(r'shared-entities', views.SharedEntityViewSet,
                basename='shared-entity')
router.register(r'compute-resources', views.ComputeResourceViewSet,
                basename='compute-resource')
router.register(r'storage-resources', views.StorageResourceViewSet,
                basename='storage-resource')
router.register(r'credential-summaries', views.CredentialSummaryViewSet,
                basename='credential-summary')
router.register(r'storage-preferences',
                views.StoragePreferenceViewSet,
                basename='storage-preference')
router.register(r'parsers', views.ParserViewSet, basename='parser')
router.register(r'manage-notifications', views.ManageNotificationViewSet,
                basename='manage-notifications')
router.register(r'iam-user-profiles', views.IAMUserViewSet,
                basename='iam-user-profile')
router.register(r'unverified-email-users', views.UnverifiedEmailUserViewSet,
                basename='unverified-email-user-profile')
router.register(r'queue-settings-calculators', views.QueueSettingsCalculatorViewSet,
                basename='queue-settings-calculator')

app_name = 'django_airavata_api'
urlpatterns = [
    re_path(r'^upload$', views.upload_input_file, name='upload_input_file'),
    re_path(r'^tus-upload-finish$', views.tus_upload_finish,
            name='tus_upload_finish'),
    re_path(r'^download', views.download_file, name='download_file'),
    re_path(r'^delete-file$', views.delete_file, name='delete_file'),
    re_path(r'^data-products', views.DataProductView.as_view(),
            name='data-products-detail'),
    re_path(r'^job/submission/local', views.LocalJobSubmissionView.as_view(),
            name="local_job_submission"),
    re_path(r'^job/submission/cloud', views.CloudJobSubmissionView.as_view(),
            name="cloud_job_submission"),
    re_path(r'^job/submission/globus', views.GlobusJobSubmissionView.as_view(),
            name="globus_job_submission"),
    re_path(r'^job/submission/ssh', views.SshJobSubmissionView.as_view(),
            name="ssh_job_submission"),
    re_path(r'^job/submission/unicore', views.UnicoreJobSubmissionView.as_view(),
            name="unicore_job_submission"),
    re_path(r'^data/movement/gridftp', views.GridFtpDataMovementView.as_view(),
            name="grid_ftp_data_movement"),
    re_path(r'^data/movement/local', views.LocalDataMovementView.as_view(),
            name="local_ftp_data_movement"),
    re_path(r'^data/movement/unicore', views.UnicoreDataMovementView.as_view(),
            name="unicore_ftp_data_movement"),
    re_path(r'^data/movement/scp', views.ScpDataMovementView.as_view(),
            name="scp_ftp_data_movement"),
    re_path(r'^gateway-resource-profile',
            views.CurrentGatewayResourceProfile.as_view(),
            name="current_gateway_resource_profile"),
    re_path(r'^workspace-preferences',
            views.WorkspacePreferencesView.as_view(),
            name="workspace-preferences"),
    re_path(r'^user-storage/~/(?P<path>.*)$',
            views.UserStoragePathView.as_view(),
            name="user-storage-items"),
    re_path(r'^experiment-storage/(?P<experiment_id>[^/]+)/(?P<path>.*)$',
            views.ExperimentStoragePathView.as_view(),
            name="experiment-storage-items"),
    re_path(r'^experiment-statistics',
            views.ExperimentStatisticsView.as_view(),
            name="experiment-statistics"),
    re_path(r'ack-notifications/<slug:id>/',
            views.AckNotificationViewSet.as_view(), name="ack-notifications"),
    re_path(r'ack-notifications/', views.AckNotificationViewSet.as_view(),
            name="ack-notifications"),
    re_path(r'^log', views.LogRecordConsumer.as_view(), name='log'),
    re_path(r'^settings', views.SettingsAPIView.as_view(), name='settings'),
    re_path(r'^api-status-check/',
            views.APIServerStatusCheckView.as_view(),
            name='api-status-check'),
    re_path(r'^notebook-output',
            views.notebook_output_view, name="notebook-output"),
    re_path(r'^html-output',
            views.html_output_view, name="html-output"),
    re_path(r'^image-output',
            views.image_output_view, name="image-output"),
    re_path(r'^link-output',
            views.link_output_view, name="link-output"),
    re_path(r'^experiment-archives/(?P<experiment_id>[^/]+)/',
            views.ExperimentArchiveView.as_view(),
            name="experiment-archives"),
]

urlpatterns = router.urls + format_suffix_patterns(urlpatterns)

if logger.isEnabledFor(logging.DEBUG):
    for router_url in router.urls:
        logger.debug("router url: {}".format(router_url))

django_airavata/apps/auth/urls.py
from django.conf.urls import include
from django.urls import path, re_path
from rest_framework import routers

from . import views

router = routers.DefaultRouter()
router.register(r'users', views.UserViewSet, basename='user')
router.register(r'extended-user-profile-fields', views.ExtendedUserProfileFieldViewset, basename='extended-user-profile-field')
router.register(r'extended-user-profile-values', views.ExtendedUserProfileValueViewset, basename='extended-user-profile-value')
app_name = 'django_airavata_auth'
urlpatterns = [
    re_path(r'^', include(router.urls)),
    re_path(r'^login$', views.start_login, name='login'),
    re_path(r'^login-password$', views.start_username_password_login,
            name='login_with_password'),
    re_path(r'^redirect_login/(\w+)/$', views.redirect_login,
            name='redirect_login'),
    re_path(r'^handle_login$', views.handle_login, name='handle_login'),
    re_path(r'^logout$', views.start_logout, name='logout'),
    re_path(r'^callback-error/(?P<idp_alias>\w+)/$', views.callback_error,
            name='callback-error'),
    re_path(r'^callback/$', views.callback, name='callback'),
    re_path(r'^create-account$', views.create_account, name='create_account'),
    re_path(r'^verify-email/(?P<code>[\w-]+)/$', views.verify_email,
            name="verify_email"),
    re_path(r'^resend-email-link/', views.resend_email_link,
            name="resend_email_link"),
    re_path(r'^forgot-password/$', views.forgot_password, name="forgot_password"),
    re_path(r'^reset-password/(?P<code>[\w-]+)/$', views.reset_password,
            name="reset_password"),
    re_path(r'^login-desktop/$', views.login_desktop, name="login_desktop"),
    re_path(r'^login-desktop-success/$',
            views.login_desktop_success, name="login_desktop_success"),
    re_path(r'^refreshed-token-desktop$', views.refreshed_token_desktop,
            name="refreshed_token_desktop"),
    re_path(r'^access-token-redirect$', views.access_token_redirect, name="access_token_redirect"),
    re_path(r'^user-profile/', views.user_profile, name="user_profile"),
    path('settings-local/', views.download_settings_local, name="download_settings_local"),
]

django_airavata/urls.py
from django.conf import settings
from django.conf.urls import include
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, re_path
from wagtail.admin import urls as wagtailadmin_urls
from wagtail.core import urls as wagtail_urls
from wagtail.documents import urls as wagtaildocs_urls

from . import views

urlpatterns = [
    re_path(r'^djadmin/', admin.site.urls),
    re_path(r'^admin/', include('django_airavata.apps.admin.urls')),
    re_path(r'^auth/', include('django_airavata.apps.auth.urls')),
    re_path(r'^workspace/', include('django_airavata.apps.workspace.urls')),
    re_path(r'^api/', include('django_airavata.apps.api.urls')),
    re_path(r'^groups/', include('django_airavata.apps.groups.urls')),
    re_path(r'^dataparsers/', include('django_airavata.apps.dataparsers.urls')),
    path('sdk/', include('airavata_django_portal_sdk.urls')),
    re_path(r'^home$', views.home, name='home'),
    re_path(r'^cms/', include(wagtailadmin_urls)),
    re_path(r'^documents/', include(wagtaildocs_urls)),
    # For testing, developing error pages
    re_path(r'^400/', views.error400),
    re_path(r'^403/', views.error403),
    re_path(r'^404/', views.error404),
    re_path(r'^500/', views.error500),
    path('', include('airavata_django_portal_commons.dynamic_apps.urls')),
    path('', include(wagtail_urls)),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

handler400 = views.error400
handler403 = views.error403
handler404 = views.error404
handler500 = views.error500

django_airavata/apps/admin/models.py
from django.db import models

# Create your models here.


class UserDataArchive(models.Model):
    created_date = models.DateTimeField(auto_now_add=True)
    updated_date = models.DateTimeField(auto_now=True)
    archive_name = models.CharField(max_length=255)
    archive_path = models.TextField()
    rolled_back = models.BooleanField(default=False)
    max_modification_time = models.DateTimeField()


class UserDataArchiveEntry(models.Model):
    user_data_archive = models.ForeignKey(UserDataArchive, on_delete=models.CASCADE)
    entry_path = models.TextField()

django_airavata/apps/dataparsers/models.py
# Create your models here.

django_airavata/apps/groups/forms.py
# Create your forms here.
from django import forms


class CreateForm(forms.Form):
    domain_id = forms.CharField(required=True, widget=forms.HiddenInput)
    group_name = forms.CharField(required=True)
    description = forms.CharField(
        required=True,
        widget=forms.Textarea
    )
    group_owner = forms.CharField(required=True, widget=forms.HiddenInput)
    CHOICES1 = (('1', 'User Level',), ('2', 'Admin Level',))
    group_type = forms.ChoiceField(
        widget=forms.HiddenInput, choices=CHOICES1, required=True)
    CHOICES2 = (('0', 'Single User',), ('1', 'Multi User',))
    group_cardinality = forms.ChoiceField(
        widget=forms.HiddenInput, choices=CHOICES2, required=True)

# class AddForm(forms.Form):
#    users = forms.MultipleChoiceField(widget=forms.CheckboxSelectMultiple, required=False)

# class RemoveForm(forms.Form):
#    members = forms.MultipleChoiceField(widget=forms.CheckboxSelectMultiple, required=False)


class AddForm(forms.Form):
    def __init__(self, data=None, user_choices=None):
        super().__init__(data=data)
        self.fields["users"] = forms.MultipleChoiceField(
            widget=forms.CheckboxSelectMultiple, choices=user_choices)


class RemoveForm(forms.Form):
    def __init__(self, data=None, user_choices=None):
        super().__init__(data=data)
        self.fields["members"] = forms.MultipleChoiceField(
            widget=forms.CheckboxSelectMultiple, choices=user_choices)

django_airavata/apps/admin/views.py
from django.contrib.auth.decorators import login_required
from django.shortcuts import redirect, render
from django.urls import reverse


@login_required
def home(request):
    if request.is_gateway_admin or request.is_read_only_gateway_admin:
        return redirect(reverse('django_airavata_admin:app_catalog'))
    else:
        return redirect(
            reverse('django_airavata_admin:group_resource_profile'))


@login_required
def app_catalog(request):
    request.active_nav_item = 'app_catalog'
    return render(request, 'admin/admin_base.html')


@login_required
def credential_store(request):
    request.active_nav_item = 'credential_store'
    return render(request, 'admin/admin_base.html')


@login_required
def compute_resource(request):
    return render(request, 'admin/compute_resource.html')


@login_required
def group_resource_profile(request):
    request.active_nav_item = 'group_resource_profile'
    return render(request, 'admin/admin_base.html')


@login_required
def gateway_resource_profile(request):
    request.active_nav_item = 'gateway_resource_profile'
    return render(request, 'admin/admin_base.html')


@login_required
def notices(request):
    request.active_nav_item = 'notices'
    return render(request, 'admin/admin_base.html')


@login_required
def users(request):
    request.active_nav_item = 'users'
    return render(request, 'admin/admin_base.html')


@login_required
def extended_user_profile(request):
    request.active_nav_item = 'users'
    return render(request, 'admin/admin_base.html')


@login_required
def experiment_statistics(request):
    request.active_nav_item = 'experiment-statistics'
    return render(request, 'admin/admin_base.html')


@login_required
def developers(request):
    request.active_nav_item = 'developers'
    return render(request, 'admin/admin_base.html')

django_airavata/apps/dataparsers/views.py
from django.shortcuts import render


def home(request):

    request.active_nav_item = "manage"
    return render(request, 'django_airavata_dataparsers/parsers-manage.html', {
        "bundle_name": "parser-list"
    })


def parser_details(request, parser_id):
    return render(request, 'django_airavata_dataparsers/parser-details.html', {
        "parser_id": parser_id,
        "bundle_name": "parser-details"
    })


def edit_parser(request, parser_id):
    return render(request, 'django_airavata_dataparsers/edit-parser.html', {
        "parser_id": parser_id,
        "bundle_name": "parser-edit"
    })

django_airavata/apps/groups/views.py
# Create your views here.

from django.contrib.auth.decorators import login_required
from django.shortcuts import render


@login_required
def groups_manage(request):
    request.active_nav_item = "manage"

    return render(request, 'django_airavata_groups/base.html', {
        'bundle_name': 'group-list'
    })


@login_required
def groups_create(request):
    request.active_nav_item = "manage"

    return render(request, 'django_airavata_groups/base.html', {
        'bundle_name': 'group-create',
        'next': request.GET.get('next'),
    })


@login_required
def edit_group(request, group_id):
    request.active_nav_item = "manage"

    return render(request, 'django_airavata_groups/group_edit.html', {
        'bundle_name': 'group-edit',
        'group_id': group_id,
        'next': request.GET.get('next'),
    })

django_airavata/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'django_airavata/home.html', {})


def error500(request):
    return render(request, 'django_airavata/error_page.html', status=500,
                  context={
                      'title': 'Error',
                      'text': """An error occurred while processing your
                      request. The gateway administrator has been notified
                      of this error."""
                  })


def error400(request, exception):
    return render(request, 'django_airavata/error_page.html', status=400,
                  context={
                      'title': 'Bad Request',
                      'text': """An error occurred while processing your
                      request because the request was malformed."""
                  })


def error404(request, exception):
    return render(request, 'django_airavata/error_page.html', status=404,
                  context={
                      'title': 'Page Not Found',
                      'text': """We couldn't find that page."""
                  })


def error403(request, exception):
    return render(request, 'django_airavata/error_page.html', status=403,
                  context={
                      'title': 'Permission Denied',
                      'text': """An error occurred because you don't have
                      permission to make this request. If you feel this was
                      an error, please contact the gateway administrator."""
                  })

django_airavata/templates/base.html
{% load navigation_tags static %}
{% load render_bundle from webpack_loader %}
{% load humanize %}
<!DOCTYPE html>

<head>
  {% favicon %}
  {% include "./django_airavata/google_analytics.html" %}

  {% render_bundle 'chunk-vendors' 'css' 'COMMON' %}
  {% render_bundle 'app' 'css' 'COMMON' %}
  {% block css %}

  {% endblock %}
</head>
<style>
  #airavata-spinner {
    display: none;
  }

  .loading {
    position: absolute;
    z-index: 2000;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.5);
  }

  /* Spinner css https://github.com/tobiasahlin/SpinKit*/
  .sk-folding-cube {
    margin: 20px auto;
    width: 40px;
    height: 40px;
    position: relative;
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
    top: calc(50% - 40px);
  }

  .sk-folding-cube .sk-cube {
    float: left;
    width: 50%;
    height: 50%;
    position: relative;
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    color: #007BFF;
  }

  .sk-folding-cube .sk-cube:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: currentColor;
    -webkit-animation: sk-foldCubeAngle 2.4s infinite linear both;
    animation: sk-foldCubeAngle 2.4s infinite linear both;
    -webkit-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
  }

  .sk-folding-cube .sk-cube2 {
    -webkit-transform: scale(1.1) rotateZ(90deg);
    transform: scale(1.1) rotateZ(90deg);
  }

  .sk-folding-cube .sk-cube3 {
    -webkit-transform: scale(1.1) rotateZ(180deg);
    transform: scale(1.1) rotateZ(180deg);
  }

  .sk-folding-cube .sk-cube4 {
    -webkit-transform: scale(1.1) rotateZ(270deg);
    transform: scale(1.1) rotateZ(270deg);
  }

  .sk-folding-cube .sk-cube2:before {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
  }

  .sk-folding-cube .sk-cube3:before {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
  }

  .sk-folding-cube .sk-cube4:before {
    -webkit-animation-delay: 0.9s;
    animation-delay: 0.9s;
  }

  @-webkit-keyframes sk-foldCubeAngle {

    0%,
    10% {
      -webkit-transform: perspective(140px) rotateX(-180deg);
      transform: perspective(140px) rotateX(-180deg);
      opacity: 0;
    }

    25%,
    75% {
      -webkit-transform: perspective(140px) rotateX(0deg);
      transform: perspective(140px) rotateX(0deg);
      opacity: 1;
    }

    90%,
    100% {
      -webkit-transform: perspective(140px) rotateY(180deg);
      transform: perspective(140px) rotateY(180deg);
      opacity: 0;
    }
  }

  @keyframes sk-foldCubeAngle {

    0%,
    10% {
      -webkit-transform: perspective(140px) rotateX(-180deg);
      transform: perspective(140px) rotateX(-180deg);
      opacity: 0;
    }

    25%,
    75% {
      -webkit-transform: perspective(140px) rotateX(0deg);
      transform: perspective(140px) rotateX(0deg);
      opacity: 1;
    }

    90%,
    100% {
      -webkit-transform: perspective(140px) rotateY(180deg);
      transform: perspective(140px) rotateY(180deg);
      opacity: 0;
    }
  }

</style>

<body>
  <header class=c-header>
    {% block header %}
    {% gateway_icon %}
    {% endblock %}
    <div class=c-header__title><a href="/">{% block title %}{% gateway_title %}{% endblock %}</a>
    </div>
    {% if user.is_authenticated %}
    <div class=c-header__controls>
      <div id="gateway-notices" data-unread-count="{{ unread_notifications }}" data-notices="{{ notifications }}"></div>
      <div class="btn-group ml-3">
        <div class=dropdown>
          <a href=# class="dropdown-toggle text-dark" id=appDropdownMenuButton data-toggle=dropdown aria-haspopup=true
            aria-expanded=false>
            {% if current_airavata_app %}
            <i class="fa {{ current_airavata_app.fa_icon_class }} mr-2"></i>
            {{ current_airavata_app.verbose_name }}
            {% elif current_custom_app %}
            <i class="fa {{ current_custom_app.fa_icon_class }} mr-2"></i>
            {{ current_custom_app.verbose_name }}
            {% else %}
            Menu
            {% endif %}
          </a>
          <div class=dropdown-menu aria-labelledby=appDropdownMenuButton>
            {% for app in airavata_apps %}
            {% if app == current_airavata_app %}
            <a class="dropdown-item active" href="{% url app.url_home %}">
              <i class="fa {{ app.fa_icon_class }} mr-2"></i>{{ app.verbose_name }}
            </a>
            {% else %}
            <a class="dropdown-item" href="{% url app.url_home %}">
              <i class="fa {{ app.fa_icon_class }} mr-2"></i>{{ app.verbose_name }}
            </a>
            {% endif %}
            {% endfor %}
            {% if custom_apps|length > 0 %}
              <div class="dropdown-divider"></div>
              {% for app in custom_apps %}
                {% if current_custom_app and app.label == current_custom_app.label %}
                <a class="dropdown-item active" href="{% url app.url_home %}">
                  <i class="fa {{ app.fa_icon_class }} mr-2"></i>{{ app.verbose_name }}
                </a>
                {% else %}
                <a class="dropdown-item" href="{% url app.url_home %}">
                  <i class="fa {{ app.fa_icon_class }} mr-2"></i>{{ app.verbose_name }}
                </a>
                {% endif %}
              {% endfor %}
            {% endif %}
            {% main_menu_navs %}
          </div>
        </div>
      </div>
      <div class="btn-group ml-3">
        <div class=dropdown>
          <a href=# class="dropdown-toggle text-dark" id=dropdownMenuButton data-toggle=dropdown aria-haspopup=true
            aria-expanded=false>
            <i class="fa fa-user mr-2"></i>
            {{ request.user.first_name }} {{ request.user.last_name }}
          </a>
          <div class=dropdown-menu aria-labelledby=dropdownMenuButton>
            <a class=dropdown-item href="{% url 'django_airavata_auth:user_profile' %}">
              User Settings
              <i class="fa fa-user-cog"></i>
            </a>
            <a class=dropdown-item href="{% url 'django_airavata_auth:logout' %}">
              Logout <i class="fa fa-sign-out-alt"></i>
            </a>
          </div>
        </div>
      </div>
    </div>
    {% endif %}
  </header>

  <div class=stage>
    <div id="airavata-spinner" class="loading">
      <div class="sk-folding-cube" :style="{ color: color }">
        <div class="sk-cube1 sk-cube"></div>
        <div class="sk-cube2 sk-cube"></div>
        <div class="sk-cube4 sk-cube"></div>
        <div class="sk-cube3 sk-cube"></div>
      </div>
    </div>
    <nav class=c-nav>
      {% block nav-items %}
        {% for nav_item in airavata_app_nav %}
          <a href="{% url nav_item.url %}" class="c-nav__item {% if nav_item.active %}is-active{% endif %}" data-toggle=tooltip data-placement=right title="{{ nav_item.label }}">
              <i class="{{ nav_item.icon }}"></i> <span class=sr-only>{{ nav_item.label }}</span>
          </a>
        {% endfor %}
        {% for nav_item in custom_app_nav %}
          <a href="{% url nav_item.url %}" class="c-nav__item {% if nav_item.active %}is-active{% endif %}" data-toggle=tooltip data-placement=right title="{{ nav_item.label }}">
              <i class="{{ nav_item.icon }}"></i> <span class=sr-only>{{ nav_item.label }}</span>
          </a>
        {% endfor %}
      {% endblock %}
    </nav>
    {% comment %}
    See MainLayout.vue which should always be the root component rendered in
    the 'content' block
    {% endcomment %}
    {% block content %}
    {% endblock %}
  </div>

  <script>
    // provide data for initializing api's session.Session
    window.AiravataPortalSessionData = {{ user_session_data|safe }};
  </script>
  {% render_bundle 'chunk-vendors' 'js' 'COMMON' %}
  {% render_bundle 'app' 'js' 'COMMON' %}
  {% if user.is_authenticated %}
    {% render_bundle 'notices' 'js' 'COMMON' %}
  {% endif %}
  {% block scripts %}
  {% endblock %}
</body>

django_airavata/templates/wagtail_base.html
{% load navigation_tags static wagtailuserbar %}
{% load render_bundle from webpack_loader %}

{% block head %}
    {% include "includes/head.html" %}
{% endblock head %}

<body>
  {% wagtailuserbar %}

  <!-- {% block breadcrumbs %}
    {# breadcrumbs is defined in base/templatetags/navigation_tags.py #}
    {% breadcrumbs %}
  {% endblock breadcrumbs %} -->

  <content role="main">
    {% block content %}
    {% endblock content %}
  </content>

  {% render_bundle 'chunk-vendors' 'js' 'COMMON' %}
  {% render_bundle 'cms' 'js' 'COMMON' %}
</body>

</html>